MQAuthInfo (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.mq.MQAuthInfo interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.mq
Interface MQAuthInfo

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, MQBase, java.io.Serializable

    public interface MQAuthInfo

extends LogicalElement, MQBase

An authentication information object contains authentication information used in Secure Sockets Layer (SSL) encrypted transport of information. An authentication information object of AUTHTYPE CRLLDAP provides the definitions required to perform Certificate Revocation List (CRL) checking using LDAP servers. CRLs allow Certification Authorities to revoke certificates that can no longer be trusted.

Naming Rules:
  0="queueManager,name"
Persistable:
  true
Table Name:
  MQAUTHINFO

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getLDAPServerName()` CONNAME(string) The hostname, IPv4 dotted decimal address, or IPv6 hexadecimal notation of the host on which the LDAP server is running, with an optional port number.
`java.lang.String` | `getName()` AuthInfo name (AINAME) The name of the authentication information object to display.
`MQQueueManager` | `getQueueManager()`
`java.lang.String` | `getType()` Authentication information type (parameter identifier: MQIA_AUTH_INFO_TYPE).
`java.lang.String` | `getUserName()` LDAPUSER The Distinguished Name of the user who is accessing the LDAP server.
`boolean` | `hasLDAPServerName()`
`boolean` | `hasName()`
`boolean` | `hasQueueManager()`
`boolean` | `hasType()`
`boolean` | `hasUserName()`
`void` | `setLDAPServerName(java.lang.String x)`
`void` | `setName(java.lang.String x)`
`void` | `setQueueManager(MQQueueManager x)`
`void` | `setType(java.lang.String x)`
`void` | `setUserName(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.app.messaging.mq.MQBase
`getDefault, getIsValid, getSystem, hasDefault, hasIsValid, hasSystem, setDefault, setIsValid, setSystem`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getUserName

    java.lang.String getUserName()
                                 throws AttributeNotSetException

  LDAPUSER The Distinguished Name of the user who is accessing the LDAP server. (See the SSLPEER parameter for more information about distinguished names.) The maximum size for the user name is 1024 characters on i5/OS, UNIX systems, and Windows, and 256 characters on z/OS. On z/OS, the LDAPUSER used for accessing the LDAP Server may not be the one defined in the AUTHINFO object. If more than one AUTHINFO object is placed in the namelist referred to by the QMGR parameter SSLCRLNL, the LDAPUSER in the first AUTHINFO object is used for accessing all LDAP Servers. On i5/OS, UNIX systems, and Windows, the maximum accepted line length is defined to be BUFSIZ, which can be found in stdio.h.

  Throws:
    `AttributeNotSetException`

### setUserName

    void setUserName(java.lang.String x)

### hasUserName

    boolean hasUserName()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  AuthInfo name (AINAME) The name of the authentication information object to display. The possible values are: authentication-information-name Specify the name of the authentication information object. The maximum string length is 48 characters.

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String x)

### hasName

    boolean hasName()

### getQueueManager

    MQQueueManager getQueueManager()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Authorizes" reverse="false"

### setQueueManager

    void setQueueManager(MQQueueManager x)

### hasQueueManager

    boolean hasQueueManager()

### getLDAPServerName

    java.lang.String getLDAPServerName()
                                       throws AttributeNotSetException

  CONNAME(string) The hostname, IPv4 dotted decimal address, or IPv6 hexadecimal notation of the host on which the LDAP server is running, with an optional port number. This keyword is required. If you specify the connection name as an IPv6 address, only systems with an IPv6 stack are able to resolve this address. If the AUTHINFO object is part of the queue manager's CRL namelist, ensure that any clients using the client channel table generated by the queue manager are capable of resolving the connection name. On z/OS, if a CONNAME is to resolve to an IPv6 network address, a level of z/OS that supports IPv6 for connection to an LDAP server is required. The syntax for CONNAME is the same as for channels. For example, conname('hostname(nnn)') where nnn is the port number. If nnn is not provided, the default port number 389 is used. The maximum length for the field is 264 characters on i5/OS, UNIX systems, and Windows, and 48 characters on z/OS

  Throws:
    `AttributeNotSetException`

### setLDAPServerName

    void setLDAPServerName(java.lang.String x)

### hasLDAPServerName

    boolean hasLDAPServerName()

### getType

    java.lang.String getType()
                             throws AttributeNotSetException

  Authentication information type (parameter identifier: MQIA_AUTH_INFO_TYPE). The value is MQAIT_CRL_LDAP.

  Throws:
    `AttributeNotSetException`

### setType

    void setType(java.lang.String x)

### hasType

    boolean hasType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD